@charset "UTF-8";

/*
    Paleta de cores
    Verde: #49a09d
    Lilás: #5f2c82
*/

body,
html {
  background-color: #5f2c82;
  height: 100vh;
  width: 100vw;
}

.container {
  position: relative;
  height: 100vh;
  width: 100vw;
}

.section-login {
  position: absolute;
  top: 50%;
  left: 50%;
  overflow: hidden;

  background-color: white;
  width: 250px;
  height: 515px;
  border-radius: 20px;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.45);

  transform: translate(-50%, -50%);
  transition:
    width 0.3s,
    height 0.3s;
  transition-timing-function: ease;
}

.bg-image {
  display: block;
  background: #5f2c82 url("../images/metal.jpg") no-repeat;
  background-size: cover;
  background-position: left bottom;
  height: 200px;
}

.form-container {
  display: block;
  padding: 10px;
}

.heading-form {
  text-align: center;
  margin-bottom: 10px;
}

.content-form {
  font-size: 0.8em;
}

.campo {
  background-color: #5f2c82;
  border: 2px solid #5f2c82;
  display: block;
  width: 100%;
  height: 40px;
  border-radius: 8px;
  margin: 5px 0px;
}

.campo > label {
  display: none;
}

.campo .icon {
  color: #fff;
  /*background-color: black;*/
  font-size: 1.9em;
  width: 40px;
  padding: 5px;
}

.campo input {
  background-color: #94cfcd;
  font-size: 1em;
  width: calc(100% - 45px);
  height: 100%;
  border: 0px;
  border-radius: 8px;
  padding: 4px;
  transform: translateY(-10px);
}

.campo input:focus-within {
  background-color: white;
  border: none;
}

form input[type="submit"] {
  display: block;
  font-size: 1em;
  width: 100%;
  height: 40px;
  background-color: #53aaa7;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

form input[type="submit"]:hover {
  background-color: #2d6462;
}

.btn-forgot-password:link,
.btn-forgot-password:visited {
  display: block;
  text-align: center;
  font-size: 1em;
  width: 100%;
  height: 40px;
  padding-top: 5px;
  margin-top: 5px;
  background-color: white;
  color: #2d6462;
  border: 1px solid #49a09d;
  border-radius: 7px;
  text-decoration: none;
}

.btn-forgot-password:hover,
.btn-forgot-password:active {
  background-color: #6cd3cf;
}

.btn-forgot-password .icon {
  font-size: 0.8em;

  transform: translateY(3px);
}
